import { IButtonStyles, IIconStyles, ILinkStyles, IModalStyles, IStackStyles, ITextStyles, Theme } from "@fluentui/react";
import { CustomTheme } from "../../appTheme";
export declare function getBaseDialogModalStyle(theme: Theme & CustomTheme): Partial<IModalStyles>;
export declare function getBasicSettingsStyle(): Partial<IStackStyles>;
export declare function getMainActionStackStyles(): Partial<IStackStyles>;
export declare function getMainExpandoStyle(): Partial<IStackStyles>;
export declare function getTitleSectionStyles(): Partial<IStackStyles>;
export declare function getTitleStackStyle(): Partial<IStackStyles>;
export declare function getTitleStyles(theme: Theme & CustomTheme): Partial<ITextStyles>;
export declare function getSubTitleStyles(theme: Theme & CustomTheme): Partial<ITextStyles>;
export declare function getBreadCrumbTitleStyleStacks(theme: Theme & CustomTheme): Partial<ILinkStyles>;
export declare function getTitleChevronStyles(theme: Theme & CustomTheme): Partial<IIconStyles>;
export declare function getSettingsScrollableAreaStyle(): Partial<IStackStyles>;
export declare function getDisplayFlex(styles?: Partial<IStackStyles>): Partial<IStackStyles>;
export declare function getModalCloseButtonStyle(theme: Theme & CustomTheme): IButtonStyles;
export declare function getRTLModalCloseButtonStyle(theme: Theme & CustomTheme): IButtonStyles;
export declare function getModalCloseButtonIconStyle(): IIconStyles;
export declare function getExpandoContentStackStyles(): Partial<IStackStyles>;
export declare function getBulletIconStyle(theme: Theme & CustomTheme): IIconStyles;
export declare function getHideConsentModalDialogStyles(theme: Theme & CustomTheme): Partial<IModalStyles>;
export declare function getHideConsentDialogContentStyles(): Partial<IStackStyles>;
export declare function getHideConsentDialogTitleStyles(): Partial<ITextStyles>;
export declare function getHideConsentDialogSubTitleStyles(): Partial<ITextStyles>;
export declare function getHideConsentButtonAreaStyles(theme: Theme & CustomTheme): Partial<IStackStyles>;
export declare function getHideConsentButtonStyles(): Partial<IButtonStyles>;
export declare function getNotificationsSubHeaderStyles(): Partial<IStackStyles>;
export declare function getNotificationsErrorStyles(): Partial<IStackStyles>;
export declare function getNotificationsErrorTextStyles(): Partial<IStackStyles>;
export declare function getNotificationsEnabledArea(): Partial<IStackStyles>;
export declare function addPreserveWhitespaceStyle(styles?: Partial<IStackStyles>): Partial<IStackStyles>;
